Bug 971871 - [NetworkManager] SELinux is preventing /usr/libexec/nm-dhcp-helper from write access on the sock_file private-dhcp
[NetworkManager] SELinux is preventing /usr/libexec/nm-dhcp-helper from write...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
: 996293 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 09:25 EDT by Jirka Klimes
Modified: 2016-01-04 01:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:31:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jirka Klimes 2013-06-07 09:25:12 EDT
Please allow 'nm-dhcp-helper' binary to write to '/var/run/NetworkManager/private-dhcp' socket.

nm-dhcp-helper replaces nm-dhcp-client.action in the newest NM code.
DHCP now works even without a D-Bus daemon and a private socket 'private-dhcp' is used.

For more information you can look at this commit: 
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=b69171061c03aa1a240c976d6de74097f930abf8

The problem has been found while trying a latest git upstream snapshot in Fedora/RHEL7.

Raw Audit Messages
type=AVC msg=audit(1370604018.809:1574): avc:  denied  { write } for  pid=6098 comm="nm-dhcp-helper" name="private-dhcp" dev="tmpfs" ino=19171 scontext=system_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:NetworkManager_var_run_t:s0 tclass=sock_file

type=AVC msg=audit(1370604018.809:1574): avc:  denied  { connectto } for  pid=6098 comm="nm-dhcp-helper" path="/run/NetworkManager/private-dhcp" scontext=system_u:system_r:dhcpc_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=unix_stream_socket

type=SYSCALL msg=audit(1370604018.809:1574): arch=x86_64 syscall=connect success=yes exit=0 a0=3 a1=7fffd1b11b10 a2=26 a3=7fffd1b118c0 items=0 ppid=5880 pid=6098 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=nm-dhcp-helper exe=/usr/libexec/nm-dhcp-helper subj=system_u:system_r:dhcpc_t:s0 key=(null)

Hash: nm-dhcp-helper,dhcpc_t,NetworkManager_var_run_t,sock_file,write
Comment 2 Daniel Walsh 2013-06-07 13:48:50 EDT
fixed in selinux-policy-3.12.1-48.el7
Comment 3 Fedora End Of Life 2013-09-16 12:59:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora Update System 2013-09-25 16:40:25 EDT
selinux-policy-3.12.1-83.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-83.fc20
Comment 5 Fedora Update System 2013-09-26 20:43:52 EDT
Package selinux-policy-3.12.1-83.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-83.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-83.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-02 02:44:01 EDT
Package selinux-policy-3.12.1-84.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-84.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-84.fc20
then log in and leave karma (feedback).
Comment 7 Jirka Klimes 2013-11-08 16:41:29 EST
*** Bug 996293 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2015-05-29 05:06:10 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 21:31:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.